Update a contact
Authentication
The API key should be passed in the request headers as api-key for authentication.
Path parameters
Email (urlencoded) OR ID of the contact OR EXT_ID attribute (urlencoded) OR its SMS attribute value OR its WHATSAPP attribute value OR its LANDLINE_NUMBER attribute value
Query parameters
email_id for Email, contact_id for ID of the contact, ext_id for EXT_ID attribute, phone_id for SMS attribute, whatsapp_id for WHATSAPP attribute, landline_number_id for LANDLINE_NUMBER attribute
Request
Set/unset this field to blacklist/allow the contact for emails (emailBlacklisted = true)
Pass your own Id to update ext_id of a contact.
Set/unset this field to blacklist/allow the contact for SMS (smsBlacklisted = true)
When true, if the contact being updated shares an identifier (email, SMS, ext_id, whatsapp, landline) with an existing contact, the two contacts are force-merged. The contact with the most recent last_modified timestamp is retained; the other is deleted. When false (default), a 4xx error is returned on identifier conflict.